<?php

class event_cal_sanitize {

  /** 
  * Prüft ein Datum auf Gültigkeit
  * Gibt auf Wunsch aktuelles Datum in gwünschtem Format zurück
  */
  public static function sanitizeEventTime($time, $format="") {
    
    $sanitize = $time;
    
    $sanitized = strtotime( $sanitize );
    if ($sanitized === false) {
      // Kein gültiges Datum -> Aktuelles Datum angenommen
      $sanitized = false;
    } else {
      $sanitized = true;
    }

    if ( $format != "" and $sanitized === true ) {
      return date($format, strtotime($time));
    } elseif ( $format != "" and $sanitized === false ) {
      return date($format);
    } else {
      return $sanitized;
    }
    
  }

  /** 
  * Prüft ein Datum auf Gültigkeit
  * Gibt auf Wunsch aktuelles Datum in gwünschtem Format zurück
  */
  public static function sanitizeTime($time, $format="") {
    
    $sanitize = $time;
    
    $sanitized = strtotime( $sanitize );
    if ($sanitized === false) {
      // Kein gültiges Datum -> Aktuelles Datum angenommen
      $sanitized = false;
    } else {
      $sanitized = true;
    }

    if ( $format != "" and $sanitized === true ) {
      return date($format, strtotime($time));
    } elseif ( $format != "" and $sanitized === false ) {
      return date($format);
    } else {
      return $sanitized;
    }
    
  }
  
}

?>